#
# spec file for package bacula (Version 5.0.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           bacula
%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
BuildRequires:  gcc-c++ libacl-devel mysql-devel openssl-devel readline-devel bc procps iputils postgresql-devel xorg-x11-proto-devel xorg-x11-xtrans-devel

%if 0%{?suse_version}
BuildRequires:	tcpd-devel postgresql-libs termcap
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	tcp_wrappers libtermcap-devel
%endif

%if 0%{?fedora_version} >= 7 || 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600 || 0%{?centos_version} >= 6
BuildRequires:	tcp_wrappers-devel
%endif

%define		_libver 5_0_3
%define		_sover 5.0.3

License:        GPL v2 or later
Group:          Productivity/Archiving/Backup
AutoReqProv:    on
Version:        5.0.3
Release:        4.3
Summary:        Bacula--The Network Backup Solution: Client Part
Url:            http://www.bacula.org
Source0:        %{name}-%{version}.tar.bz2
%if 0%{?suse_version}
Source10:       bacula-dir.init
Source11:       bacula-fd.init
Source12:       bacula-sd.init
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
Source10:	bacula-dir.init.rh
Source11:	bacula-fd.init.rh
Source12:	bacula-sd.init.rh
%endif

Source20:       bacula-dir.fw
Source21:       bacula-fd.fw
Source22:       bacula-sd.fw
Patch1:         %{name}-2.4.4-python.diff
%if 0%{?fedora_version} > 11 || 0%{?suse_version} >= 1130
Patch2:		bacula-5.0.1-opensslv1.patch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bacula comes by night and sucks the vital essence from your computers.
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical
terms, it is a network client/server-based backup program. Bacula is
relatively easy to use and efficient, while offering many advanced
storage management features that make it easy to find and recover lost
or damaged files.



%package server
License:        GPL v2 or later
Summary:        Bacula - The Network Backup Solution - server part
Group:          Productivity/Archiving/Backup
Requires:       bacula = %{version}
AutoReqProv:    off

%description server
Bacula - It comes by night and sucks the vital essence from your
computers. Bacula is a set of computer programs that permit you (or the
system administrator) to manage backup, recovery, and verification of
computer data across a network of computers of different kinds. In
technical terms, it is a network client/server based backup program.
Bacula is relatively easy to use and efficient, while offering many
advanced storage management features that make it easy to find and
recover lost or damaged files. This package contains Bacula server
daemons.


%package server-mysql
License:        GPL v2 or later
Summary:        Bacula - The Network Backup Solution - server part - mysql
Group:          Productivity/Archiving/Backup
Requires:       bacula-server = %{version}
Conflicts:	bacula-server-postgresql
AutoReqProv:    on

%description server-mysql
Binaries of bacula services linked against mysql.



%package server-postgresql
License:        GPL v2 or later
Summary:        Bacula - The Network Backup Solution - server part - postgresql
Group:          Productivity/Archiving/Backup
Requires:       bacula-server = %{version}
Conflicts:      bacula-server-mysql
AutoReqProv:    on

%description server-postgresql
Binaries of bacula services linked against postgresql.



%package devel
Summary:	Bacula devel files
Group:		Productivity/Archiving/Backup
Requires:	libbac-%{_libver} = %{version}
Requires:	libbaccfg-%{_libver} = %{version}
Requires:	libbacfind-%{_libver} = %{version}
Requires:	libbacpy-%{_libver} = %{version}
Requires:	libbacsql-%{_libver} = %{version}
Requires:	ncurses-devel
%if 0%{?suse_version}
Requires:	tcpd-devel
%endif
Requires:	postgresql-devel
Requires:	glibc-devel

%description devel

%package -n libbac-%{_libver}
Summary:	Bacula library
Group:		Productivity/Archiving/Backup

%description -n libbac-%{_libver}

%package -n libbaccfg-%{_libver}
Summary:	Bacula config library
Group:		Productivity/Archiving/Backup

%description -n libbaccfg-%{_libver}

%package -n libbacfind-%{_libver}
Summary:	Bacula find library
Group:		Productivity/Archiving/Backup

%description -n libbacfind-%{_libver}

%package -n libbacpy-%{_libver}
Summary:	Bacula python library
Group:		Productivity/Archiving/Backup

%description -n libbacpy-%{_libver}

%package -n libbacsql-%{_libver}
Summary:	Bacula sql library
Group:		Productivity/Archiving/Backup

%description -n libbacsql-%{_libver}

%package -n nagios-plugins-bacula
Summary:	Bacula nagios plugins
Group:		Productivity/Archiving/Backup

%description -n nagios-plugins-bacula
Nagios/Icinga plugins to check bacula.

%prep
%setup -q
%patch1
%if 0%{?fedora_version} > 11 || 0%{?suse_version} >= 1130
%patch2 -p2
%endif

%build
touch platforms/suse/bacula.spec.in
%install
Build() {
CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS $(ncurses5-config --cflags)"  LDFLAGS="-L/usr/%{_lib}/mysql $(ncurses5-config --libs)" ./configure \
 	--prefix=%{_prefix} \
	--libexecdir=%{_libdir} \
        --sbindir=%{_sbindir} \
        --bindir=%{_bindir} \
        --libdir=%{_libdir} \
        --infodir=%{_infodir} \
        --mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}/bacula \
	--with-working-dir=/var/lib/bacula/working \
	--with-openssl \
	--with-tcp-wrappers \
	--enable-readline \
	--with-readline=%{_prefix} \
	--enable-shared \
	"$@"
}
# build mysql version
Build --with-mysql --with-postgresql=no
# ##make CFLAGS="$RPM_OPT_FLAGS"
%{__make}
make DESTDIR=$RPM_BUILD_ROOT install
##mv $RPM_BUILD_ROOT%{_sbindir}/bacula-sd  $RPM_BUILD_ROOT%{_sbindir}/bacula-sd.mysql
mv $RPM_BUILD_ROOT%{_sbindir}/bacula-dir $RPM_BUILD_ROOT%{_sbindir}/bacula-dir.mysql
##mv $RPM_BUILD_ROOT%{_sbindir}/bcopy $RPM_BUILD_ROOT%{_sbindir}/bcopy.mysql
mv $RPM_BUILD_ROOT%{_sbindir}/bscan $RPM_BUILD_ROOT%{_sbindir}/bscan.mysql

# build postgresql version
%{__make} clean
Build --with-postgresql --with-mysql=no
# ##make CFLAGS="$RPM_OPT_FLAGS"
%{__make}
make DESTDIR=$RPM_BUILD_ROOT install
#mv $RPM_BUILD_ROOT%{_sbindir}/bacula-sd  $RPM_BUILD_ROOT%{_sbindir}/bacula-sd.postgresql
mv $RPM_BUILD_ROOT%{_sbindir}/bacula-dir $RPM_BUILD_ROOT%{_sbindir}/bacula-dir.postgresql
#mv $RPM_BUILD_ROOT%{_sbindir}/bcopy $RPM_BUILD_ROOT%{_sbindir}/bcopy.postgresql
mv $RPM_BUILD_ROOT%{_sbindir}/bscan $RPM_BUILD_ROOT%{_sbindir}/bscan.postgresql

# build nagios plugin
PREDIR=`pwd`
cd examples/nagios/check_bacula
%__make
#%__make DESTDIR=%{buildroot} install
libtool --mode=install install -D -m755 check_bacula %{buildroot}/usr/lib/nagios/plugins/check_bacula

cd $PREDIR

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 %SOURCE10 $RPM_BUILD_ROOT/etc/init.d/bacula-dir
install -m 755 %SOURCE11 $RPM_BUILD_ROOT/etc/init.d/bacula-fd
install -m 755 %SOURCE12 $RPM_BUILD_ROOT/etc/init.d/bacula-sd
ln -sf ../../etc/init.d/bacula-fd       $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-fd
ln -sf ../../etc/init.d/bacula-sd       $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-sd
ln -sf ../../etc/init.d/bacula-dir      $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-dir
# remove /etc/bacula/startmysql
# and /etc/bacula/stopmysql
# as they are not needed (bug #145310)
rm $RPM_BUILD_ROOT/etc/bacula/startmysql $RPM_BUILD_ROOT/etc/bacula/stopmysql
rm $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-dir $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-fd $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-sd
# remove .old / .new files from duplicate build
rm $RPM_BUILD_ROOT/etc/bacula/*.new
rm $RPM_BUILD_ROOT/etc/bacula/*.old

# install nagios plugins#
install -m755 examples/nagios/check_bacula_pools.sh %{buildroot}/usr/lib/nagios/plugins/check_bacula_pools

#install fw definitions
mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}/
install -m 644 %SOURCE20 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-dir
install -m 644 %SOURCE21 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-fd
install -m 644 %SOURCE22 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-sd
# delete docs
rm -rf %{buildroot}/usr/share/doc/bacula 
chmod 755 %{buildroot}%{_libdir}/libbac*so*

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal bacula-fd

%postun
%restart_on_update bacula-fd
%insserv_cleanup

%preun server
%stop_on_removal bacula-dir bacula-sd

%postun server
%restart_on_update bacula-dir bacula-sd
%insserv_cleanup

%post server-mysql
if [ -f %{_sbindir}/bacula-dir.mysql ] ;then
ln -sf %{_sbindir}/bacula-dir.mysql %{_sbindir}/bacula-dir
fi
##if [ -f %{_sbindir}/bacula-sd.mysql ] ; then
##ln -sf %{_sbindir}/bacula-sd.mysql %{_sbindir}/bacula-sd
##fi
if [ -f %{_sbindir}/bscan.mysql ] ; then
ln -sf %{_sbindir}/bscan.mysql %{_sbindir}/bscan
fi
##if [ -f %{_sbindir}/bcopy.mysql ] ; then
##ln -sf %{_sbindir}/bcopy.mysql %{_sbindir}/bcopy
##fi


%post server-postgresql
if [ -f %{_sbindir}/bacula-dir.postgresql ] ;then
ln -sf %{_sbindir}/bacula-dir.postgresql %{_sbindir}/bacula-dir
fi
##if [ -f %{_sbindir}/bacula-sd.postgresql ] ; then
##ln -sf %{_sbindir}/bacula-sd.postgresql %{_sbindir}/bacula-sd
##fi
if [ -f %{_sbindir}/bscan.postgresql ] ; then
ln -sf %{_sbindir}/bscan.postgresql %{_sbindir}/bscan
fi
##if [ -f %{_sbindir}/bcopy.postgresql ] ; then
##ln -sf %{_sbindir}/bcopy.postgresql %{_sbindir}/bcopy
##fi


%postun server-mysql
%restart_on_update bacula-dir bacula-sd

%postun server-postgresql
%restart_on_update bacula-dir bacula-sd

%preun server-mysql
if [ $1 == 0 ] ; then
rm -f %{_sbindir}/bacula-dir
##rm -f %{_sbindir}/bacula-sd
fi

%preun server-postgresql
if [ $1 == 0 ] ; then
rm -f %{_sbindir}/bacula-dir
##rm -f %{_sbindir}/bacula-sd
fi


%files
%defattr(-,root,root)   
%config /etc/init.d/bacula-fd
%doc ABOUT-NLS COPYING INSTALL LICENSE README VERIFYING ReleaseNotes projects technotes ChangeLog
%{_sbindir}/bacula-fd
%{_sbindir}/bconsole
%{_sbindir}/btraceback
%{_sbindir}/rcbacula-fd
%config(noreplace) /etc/bacula/bacula-fd.conf
%config /etc/bacula/bconsole
%config(noreplace) /etc/bacula/bconsole.conf
%config /etc/bacula/btraceback.dbx
%config /etc/bacula/btraceback.gdb
%config /etc/bacula/btraceback.mdb
##%config /etc/bacula/gconsole
%config /etc/bacula/mtx-changer
%config /etc/bacula/bacula
%config /etc/bacula/dvd-handler
%config /etc/bacula/disk-changer
%dir /etc/bacula
%dir /var/lib/bacula
%dir /var/lib/bacula/working
%config %{_fwdefdir}/bacula-fd
%doc %{_mandir}/man?/*
%{_libdir}/bpipe-fd.so

%files server
%defattr(-,root,root)
%config /etc/init.d/bacula-sd
%config /etc/init.d/bacula-dir
%{_sbindir}/rcbacula-sd
%{_sbindir}/rcbacula-dir
%{_sbindir}/bacula
%{_sbindir}/bextract
%{_sbindir}/bls
%{_sbindir}/bregex
%{_sbindir}/bsmtp
%{_sbindir}/btape
%{_sbindir}/bwild
%{_sbindir}/dbcheck
%{_sbindir}/bcopy
%{_sbindir}/bacula-sd
##%exclude %{_sbindir}/bacula-sd*
%exclude %{_sbindir}/bacula-dir*
%exclude %{_sbindir}/bscan*
##%exclude %{_sbindir}/bcopy*
%exclude %{_sbindir}/bacula-fd
%exclude %{_sbindir}/rcbacula-fd
%config(noreplace) /etc/bacula/bacula-dir.conf
%config(noreplace) /etc/bacula/bacula-sd.conf
%config(noreplace) /etc/bacula/mtx-changer.conf
%config /etc/bacula/bacula_config
%config /etc/bacula/create*
%config /etc/bacula/delete*
%config /etc/bacula/drop*
%config /etc/bacula/grant*
%config /etc/bacula/make*
%config /etc/bacula/update*
%config /etc/bacula/query.sql
%config %{_fwdefdir}/bacula-dir
%config %{_fwdefdir}/bacula-sd
%dir /etc/bacula
%dir /var/lib/bacula
%dir /var/lib/bacula/working

%files server-postgresql
%defattr(-,root,root)
##%{_sbindir}/bacula-sd.postgresql
%{_sbindir}/bacula-dir.postgresql
%{_sbindir}/bscan.postgresql
##%{_sbindir}/bcopy.postgresql

%files server-mysql
%defattr(-,root,root)
##%{_sbindir}/bacula-sd.mysql
%{_sbindir}/bacula-dir.mysql
%{_sbindir}/bscan.mysql
##%{_sbindir}/bcopy.mysql

%files -n libbaccfg-%{_libver}
%defattr(-,root,root)
%{_libdir}/libbaccfg-%{_sover}.so

%files -n libbacfind-%{_libver}
%defattr(-,root,root)
%{_libdir}/libbacfind-%{_sover}.so

%files -n libbacpy-%{_libver}
%defattr(-,root,root)
%{_libdir}/libbacpy-%{_sover}.so

%files -n libbacsql-%{_libver}
%defattr(-,root,root)
%{_libdir}/libbacsql-%{_sover}.so

%files -n libbac-%{_libver}
%defattr(-,root,root)
%{_libdir}/libbac-%{_sover}.so

%files devel
%defattr(-,root,root)
%{_libdir}/libbaccfg.so
%{_libdir}/libbacfind.so
%{_libdir}/libbacpy.so
%{_libdir}/libbacsql.so
%{_libdir}/libbac.so
%{_libdir}/libbac*.la

%files -n nagios-plugins-bacula
%defattr(-,root,root)
%dir /usr/lib/nagios
%dir /usr/lib/nagios/plugins
/usr/lib/nagios/plugins/check_bacula
/usr/lib/nagios/plugins/check_bacula_pools

%post -n libbaccfg-%{_libver} -p /sbin/ldconfig

%post -n libbacfind-%{_libver} -p /sbin/ldconfig

%post -n libbacpy-%{_libver} -p /sbin/ldconfig

%post -n libbacsql-%{_libver} -p /sbin/ldconfig

%post -n libbac-%{_libver} -p /sbin/ldconfig


%postun -n libbaccfg-%{_libver} -p /sbin/ldconfig

%postun -n libbacfind-%{_libver} -p /sbin/ldconfig

%postun -n libbacpy-%{_libver} -p /sbin/ldconfig

%postun -n libbacsql-%{_libver} -p /sbin/ldconfig

%postun -n libbac-%{_libver} -p /sbin/ldconfig



%changelog
* Wed Aug 18 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.3-1
- update to bacula release 5.0.3

* Fri Jul 30 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.2-3
- fix libbac* permissions to be world read-/executeable

* Sat May 08 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.2-2
- some spec file fixes

* Thu Apr 29 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.2-1
- update to bacula release 5.0.2

* Thu Mar 25 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.1-3
- build nagios plugin package

* Sat Mar 20 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.1-2
- added bacula-5.0.1-opensslv1 patch

* Tue Mar 02 2010 Carsten Schoene <cs@linux-administrator.com> - 5.0.1-1
- update to bacula release 5.0.1

* Fri Nov 06 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.3-2
- created mysql & postgresql server subpackages

* Wed Oct 28 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.3-1
- update to release 3.0.3
 - fixes crashes in the Exchange plugin
 - fixees a segmentation fault in the Storage Daemon
 - fixes double-free issues when using Accurate Backup or performing concurrent backups

* Tue Jul 21 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.2-1
- update to release 3.0.2
 - fix problems with PostgreSQL
 - cleans up old jobs when starting director
 - fix issue in xattr
 - allow selecting files for restore from Copy Jobs
 - better security for the File Daemon
 - new directive to specify the source address for outgoing connections
 - display of volume availability in autochanger when doing restores
 - improved estimate command
 - option to construct a full restore from a JobID was added
 - new nagios plugin added

* Sun Jun 21 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.1-2
- initial 3.x build

* Thu May 07 2009 Carsten Schoene <cs@linux-administrator.com> - 2.4.4-2
- added 2.4.4 patches

* Wed Feb 18 2009 Carsten Schoene <cs@linux-administrator.com> - 2.4.4-1
- build version 2.4.4

* Wed Sep 10 2008 anicka@suse.cz
- update to 2.4.2
  * When a migration job actually runs, re-check the Job record
  and skip if the job is already migrated.
  * Implement a set_dcr_from_vol subroutine in acquire.c for
  reading volumes.
  * Ensure that SD tried to mount a volume not in an autochanger
  at least once before asking for operator intervention.
  * bugfixes
* Sat Aug 30 2008 cthiel@suse.de
- fix build with latests ncurses
* Wed Aug 20 2008 anicka@suse.cz
- update to 2.4.1
  * Generally clean up the manual tape loading code. The main
  conceptial change is that when a volume is marked to be unloaded,
  its volume name is retained, and it is only marked as unloaded
  when either the autoloader says it is unloaded or another tape
  is read on that drive.
  * Add dbuser to DIR conf file (replaces user).
  * Add --with-db-password to ./configure
  * Make DEVICE Slot private and access it via a method.
  Allows better control over when it is set and cleared.
  * Add debug code to SD.
  * If operator has rewind tape, print warning, release tape and
  try once more. If tape is positioned somewhere, something went
  wrong, so mark the tape in error and try once more. Previously
  this error was fatal, now it produces an error message.
  * Implement regression that explicitly tests swapping a Volume
  from one drive to another.
  * Move final volume swapping code to DCR method and
  call it from acquire_for_read().
  * When wrong volume is mounted during read, unload_autochanger.
  * Stop searching for Volumes in SD askdir if DIR returns the
  same volume name twice in a row.
  * Redefine CURES in lib/parse_conf to be URES and move it all
  into lib/parse_conf.c -- this responds to bug #1042, but does
  not fix it. The fix is not to compile with FORTIFY_SOURCE.
  * many bugfixes
- fix firewall definitions (bnc#414957)
* Tue Jan 22 2008 anicka@suse.cz
- fix problems detected by FORTIFY_SOURCE [#354872]
* Tue Jan 15 2008 anicka@suse.cz
- update to 2.2.7
  * implement double quoting include names in conf files,
  and also allow piping input by having the first character
  be a vertical bar (|).
  * implement %%f in RunScripts to pass the FileSet name.
  * bugfixes
* Wed Nov 21 2007 anicka@suse.cz
- update to 2.2.6
  * many new features (new major release)
  * fix of serious bug that could cause data loss
* Tue Jun 12 2007 anicka@suse.cz
- update to 2.0.3
  * bugfixes
  * Add smartctl call to bacula-sd.conf as an example of getting
  tape alert info.
  * Add Client Connect Wait to Storage daemon to permit users to
  modify the time the SD waits for a FD connection.
* Mon Mar 05 2007 anicka@suse.cz
- fix path for firewall definitions
* Thu Feb 22 2007 anicka@suse.cz
- add firewall definitions [#247362]
* Fri Feb 02 2007 anicka@suse.cz
- update to 2.0.2
  *  Implement the include JobID in spool file name project.
  *  Reorder projects file in order determined by Jan 2007 vote.
  *  Fix open of SQLite3 db where user does not have write
  permission so that DIR does not crash.
  *  Change 'Device not configured to autolabel' from INFO
  to WARNING.
  *  Fix jobq.c to restart failed jobs when Reschedule Times = 0
  which should restart an indefinite # of times.
  *  Fix Job restart on error bug that promotes an Inc to a Full
  backup.
  *  Return JobId in db_get_job_record() when JobId==0.
  *  Do not release source pointers when restarting a failed job.
  *  Modify USTORE constructor to set an empty store_source string,
  and don't copy the store_source string in a cancel.
  *  Correct the Options scanner in the FD to correctly handle
  SHA1 option, which was eating the next option.
  *  Add code to indicate when the SD is spooling, spool wait, and
  despooling.
* Tue Jan 23 2007 anicka@suse.cz
- build with $RPM_OPT_FLAGS
* Fri Jan 05 2007 anicka@suse.cz
- update to 2.0.0
  * new major release, merged code from beta,
  see ChangeLog file for detailed information
* Sat Sep 02 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Jul 19 2006 anicka@suse.cz
- update to 1.38.11
  * added documentation translations, change license to FDL
  * bugfixes
- rename tee variable in console.c
* Fri May 19 2006 anicka@suse.cz
- update to 1.38.9:
	- various bugfixes and minor improvements,
  see Changelog for more information
* Tue Jan 31 2006 anicka@suse.cz
- add noreplace to all .conf files (#146150)
* Fri Jan 27 2006 anicka@suse.cz
- remove unneeded files (#145310)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 anicka@suse.cz
- update to 1.38.3
* Fri Dec 09 2005 anicka@suse.cz
- package documentation files (#137127)
* Fri Dec 02 2005 anicka@suse.cz
- build with -fno-strict-aliasing
* Thu Nov 24 2005 mt@suse.de
- update to 1.38.2
- enabled ACL, TLS and tcp wrapper support
- fixed to use separate preun postun scripts
  for bacula and bacula server subpackages
* Fri Nov 11 2005 anicka@suse.cz
- update to 1.38.0
- add rcbacula-fd, -sd, -dir links
* Mon Oct 03 2005 anicka@suse.cz
- update to 1.37.40
* Tue Jul 19 2005 anicka@suse.cz
- use proper lib (lib64 on biarch)
* Wed Jul 13 2005 anicka@suse.cz
- package created
